Name:          hypnotix
Version:       4.6
Release:       1mamba
Summary:       An M3U IPTV Player
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/linuxmint/hypnotix
Source:        https://github.com/linuxmint/hypnotix.git/%{version}/hypnotix-%{version}.tar.bz2
License:       GPL-3.0-only
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      circle-flags
Requires:      dconf
Requires:      hicolor-icon-theme
Requires:      mpv
Requires:      pycairo-py3
Requires:      pygobject-py3
Requires:      python-cinemagoer-py3
Requires:      python-requests-py3
Requires:      python-setproctitle-py3
Requires:      python-unidecode-py3
Requires:      xapp

%description
An M3U IPTV Player.

#% debug_package

%prep
%setup -q

# Set version in About dialog
sed -i "s/__DEB_VERSION__/%{version}/g" usr/lib/hypnotix/hypnotix.py

# Fix license path
sed -i 's|common-licenses/GPL|licenses/common/GPL/license.txt|g' \
  usr/lib/hypnotix/hypnotix.py
	
%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d -m0755 %{buildroot}
cp -a usr %{buildroot}

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/hypnotix
%dir %{_prefix}/lib/hypnotix
%{_prefix}/lib/hypnotix/*.py
%{_datadir}/applications/hypnotix.desktop
%{_datadir}/glib-2.0/schemas/org.x.hypnotix.gschema.xml
%dir %{_datadir}/hypnotix
%{_datadir}/hypnotix/*
%{_datadir}/icons/hicolor/scalable/apps/hypnotix.svg
%doc debian/copyright

%changelog
* Mon Jul 22 2024 Automatic Build System <autodist@openmamba.org> 4.6-1mamba
- automatic version update by autodist

* Mon Jun 24 2024 Automatic Build System <autodist@openmamba.org> 4.5-1mamba
- automatic version update by autodist

* Sat May 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3-1mamba
- package created using the webbuild interface
